Package groovy.model

# Class PropertyModel

java.lang.Object
groovy.model.PropertyModel

All Implemented Interfaces:
  `NestedValueModel`, `ValueModel`

    @Deprecated
    public class PropertyModel
    extends java.lang.Object
    implements ValueModel, NestedValueModel

Deprecated.
Represents a property of a value as a model.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PropertyModel​(ValueModel sourceModel, java.lang.String property)` | Deprecated.
  `PropertyModel​(ValueModel sourceModel, java.lang.String property, java.lang.Class type)` | Deprecated.
  `PropertyModel​(ValueModel sourceModel, java.lang.String property, java.lang.Class type, boolean editable)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getProperty()` | Deprecated.
  `ValueModel` | `getSourceModel()` | Deprecated.
  `java.lang.Class` | `getType()` | Deprecated.
  `java.lang.Object` | `getValue()` | Deprecated.
  `boolean` | `isEditable()` | Deprecated.
  `void` | `setValue​(java.lang.Object value)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, java.lang.String property)
    Deprecated.

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, java.lang.String property, java.lang.Class type)
    Deprecated.

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, java.lang.String property, java.lang.Class type, boolean editable)
    Deprecated.

- ## Method Details

  - ### getProperty

    public java.lang.String getProperty()
    Deprecated.

  - ### getSourceModel

    public ValueModel getSourceModel()
    Deprecated.
    Specified by:
      `getSourceModel` in interface `NestedValueModel`

  - ### getValue

    public java.lang.Object getValue()
    Deprecated.
    Specified by:
      `getValue` in interface `ValueModel`

  - ### setValue

    public void setValue​(java.lang.Object value)
    Deprecated.
    Specified by:
      `setValue` in interface `ValueModel`

  - ### getType

    public java.lang.Class getType()
    Deprecated.
    Specified by:
      `getType` in interface `ValueModel`

  - ### isEditable

    public boolean isEditable()
    Deprecated.
    Specified by:
      `isEditable` in interface `ValueModel`